Create a snapshot for a cloud instance

POST/v1/cloud_computing/regions/{region_id}/snapshots

To create a snapshot, specify a cloud region in the path parameter, give it a name, identify the instance in the request body, and send a POST request to the /v1/cloud_computing/regions/{region_id}/snapshots endpoint.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
region_id
string

A unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section.

Request Body

FieldDetails
name
string

Give a name to a snapshot.

instance_id
string

A unique identifier of a cloud instance.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/cloud_computing/regions/0/snapshots" \  -H "Content-Type: application/json" \  -d '{    "name": "name830",    "instance_id": "Vyb82mev"  }'
{  "id": "7405be7c-c745-4efa-9d7a-7b559de59d2d",  "name": "name830",  "image_size": 0,  "min_disk": 0,  "status": "pending",  "is_backup": false,  "file_url": "http://example.com/311/images/7405be7c-c745-4efa-9d7a-7b559de59d2d/file"}